/*!
 * My Testimonials VC front-end JS function
 */
"use strict";
function imtst_full_quote(full, base_id){
	var full_quote_id = '#full_quote-'+base_id;
	var quote_id = '#'+base_id;
	var read_more_id = '#read_more-'+base_id;
	var read_less_id = '#read_less-'+base_id;
	if(full==1){
		//show full quote
		jQuery(full_quote_id).attr('class', 'imtst_quote_show');
		jQuery(read_less_id).css('display', 'block');
		jQuery(quote_id).attr('class', 'imtst_quote_hide');
		jQuery(read_more_id).css('display', 'none');
	}else{
		jQuery(full_quote_id).attr('class', 'imtst_quote_hide');
		jQuery(read_less_id).css('display', 'none');
		jQuery(quote_id).attr('class', 'imtst_quote_show');
		jQuery(read_more_id).css('display', 'block');
	}
}


jQuery(document).on('ready', function() {

	// slider
	if ( jQuery( '.imtst-js-owl-settings' ).length ){
		jQuery( '.imtst-js-owl-settings' ).each( function(){
				var owl = jQuery( jQuery( this ).attr('data-parent_id') );
				var options = {
					items : 1,
					mouseDrag: true,
					touchDrag: true,
					autoHeight: jQuery( this ).attr('data-autoHeight') == 'true' ? true : false,

					animateOut: jQuery( this ).attr('data-animateOut') == 'true' ? true : false,
					animateIn: jQuery( this ).attr('data-animateIn') == 'true' ? true : false,

					lazyLoad : jQuery( this ).attr('data-lazyLoad') == 'true' ? true : false,
					loop: jQuery( this ).attr('data-loop') == 'true' ? true : false,

					autoplay : jQuery( this ).attr('data-autoplay') == 'true' ? true : false,
					autoplayTimeout: jQuery( this ).attr('data-autoplayTimeout'),
					autoplayHoverPause: jQuery( this ).attr('data-autoplayHoverPause') == 'true' ? true : false,
					autoplaySpeed: jQuery( this ).attr('data-autoplaySpeed'),

					nav : jQuery( this ).attr('data-nav') == 'true' ? true : false,
					navSpeed : jQuery( this ).attr('data-navSpeed'),
					navText: [ '', '' ],

					dots: jQuery( this ).attr('data-dots') == 'true' ? true : false,
					dotsSpeed : jQuery( this ).attr('data-dotsSpeed'),

					responsiveClass: jQuery( this ).attr('data-responsiveClass'),
					responsive:{
							0:{
									nav:false
							},
							450:{
									nav : jQuery( this ).attr('data-nav_small') == 'true' ? true : false
							}
					}
				};
				owl.owltstvcCarousel( options );
		});
	}

	// masonry
	if ( jQuery( '.imtst-js-layout-mode-masonry-settings' ).length ){
			jQuery( '.imtst-js-layout-mode-masonry-settings' ).each( function(){
				var randNumber = jQuery( this ).attr('data-rand_number');
				var type = jQuery( this ).attr('data-type');
				var layoutMode = jQuery( this ).attr('data-layoutMode');

				var container = jQuery('.indeed_tst_filter_' + randNumber);
				container.isotope({
					filter: '*',
					layoutMode: layoutMode,
					transitionDuration: '1s',
				});

				if ( type == 'dropdown' ){
					jQuery( '.tstFilterlink-select_'  + randNumber ).change(function(){
					var selector = jQuery('.tstFilterlink-select_' + randNumber ).val();
					container.isotope({
							filter: selector,
							layoutMode: layoutMode,
							transitionDuration: '1s',
					 });
					 return false;
					});
				} else {
					jQuery('.tstFilter_' + randNumber + ' div').on('click', function(){
						jQuery('.tstFilter_' + randNumber + ' .current').removeClass('current');
						jQuery(this).addClass('current');
						var selector = jQuery(this).attr('data-filter');
						container.isotope({
							filter: selector,
							layoutMode: layoutMode,
							transitionDuration: '1s',
						 });
						 return false;
					});
				}

			});
	}

});
