<?php 
	if(isset($_REQUEST['imtst_submit'])) imtst_save_update_metas_vc();
	$metas = imtst_general_settings_meta_vc();
?>
<div class="ictst_wrap">
	    <div >
	        <h3>
	        	<i class="icon-cogs"></i><?php echo esc_html__('General Settings', 'indeed-my-testimonials-vc');?>
	        </h3>
	    </div>

	<form method="post" >
		<div class="stuffbox">
                    <h3>
                        <label><?php echo esc_html__('Responsive Settings', 'indeed-my-testimonials-vc');?></label>
                    </h3>
                    <div class="inside">
                        <table class="form-table indeed_admin_table">
        	                <tbody>
                                <tr>
									<td><?php echo esc_html__('Screen Max-Width:', 'indeed-my-testimonials-vc');?> <b>479px</b></td>
									<td>
										<select name="imtst_responsive_settings_small">
											<?php
												for($i=1;$i<7;$i++){
													$selected = '';
													if($metas['imtst_responsive_settings_small']==$i) $selected = 'selected="selected"';
													?>
														<option value="<?php echo $i;?>" <?php echo $selected;?> ><?php echo $i.' '.esc_html__('Columns', 'indeed-my-testimonials-vc');?></option>
													<?php
												}
												$selected = '';
												if($metas['imtst_responsive_settings_small']=='auto') $selected = 'selected="selected"';
												?>
													<option value="auto" <?php echo $selected;?> ><?php echo esc_html__('Auto', 'indeed-my-testimonials-vc');?></option>
												<?php
											?>
										</select>
									</td>
                                </tr>
                                <tr>
									<td><?php echo esc_html__('Screen Min-Width:', 'indeed-my-testimonials-vc');?> <b>480px</b> <?php echo esc_html__('and Screen Max-Width:', 'indeed-my-testimonials-vc');?> <b>767px</b></td>
									<td>
										<select name="imtst_responsive_settings_medium">
											<?php
												for($i=1;$i<7;$i++){
													$selected = '';
													if($metas['imtst_responsive_settings_medium']==$i) $selected = 'selected="selected"';
													?>
														<option value="<?php echo $i;?>" <?php echo $selected;?> ><?php echo $i.' '.esc_html__('Columns', 'indeed-my-testimonials-vc');?></option>
													<?php
												}
												$selected = '';
												if($metas['imtst_responsive_settings_medium']=='auto') $selected = 'selected="selected"';
												?>
													<option value="auto" <?php echo $selected;?> ><?php echo esc_html__('Auto', 'indeed-my-testimonials-vc');?></option>
												<?php
											?>
										</select>
									</td>
                                </tr>
                                <tr>
									<td><?php echo esc_html__('Screen Min-Width:', 'indeed-my-testimonials-vc');?> <b>768px</b> <?php echo esc_html__('and Screen Max-Width:', 'indeed-my-testimonials-vc');?> <b>959px</b></td>
									<td>
										<select name="imtst_responsive_settings_large">
											<?php
												for($i=1;$i<7;$i++){
													$selected = '';
													if($metas['imtst_responsive_settings_large']==$i) $selected = 'selected="selected"';
													?>
														<option value="<?php echo $i;?>" <?php echo $selected;?> ><?php echo $i.' '.esc_html__('Columns', 'indeed-my-testimonials-vc');?></option>
													<?php
												}
												$selected = '';
												if($metas['imtst_responsive_settings_large']=='auto') $selected = 'selected="selected"';
												?>
													<option value="auto" <?php echo $selected;?> ><?php echo esc_html__('Auto', 'indeed-my-testimonials-vc');?></option>
												<?php
											?>
										</select>
									</td>
                                </tr>
                            </tbody>
                        </table>
                        <div class="submit">
                            <input type="submit" value="<?php echo esc_html__('Save changes', 'indeed-my-testimonials-vc');?>" name="imtst_submit" class="button button-primary button-large" />
                        </div>
                    </div>
		</div>
		<div class="stuffbox">
                    <h3>
                        <label><?php echo esc_html__('Inside Page', 'indeed-my-testimonials-vc');?></label>
                    </h3>
                    <div class="inside">
                        <table class="form-table indeed_admin_table">
        	                <tbody>
                                <tr>
									<td><?php echo esc_html__('Entry Information', 'indeed-my-testimonials-vc');?>:</td>
                                </tr>
                                <tr>
									<td>
				                      <div>
				                          <?php
				                          		$infos = explode(',', $metas['imtst_custom_page_entry_infos']);
				                          		$selected = '';
				                          		if(in_array('name', $infos)) $selected = 'checked="checked"';
				                          ?>
				                          <input type="checkbox" <?php echo $selected;?> onClick="make_inputh_string(this, 'name', '#imtst_custom_page_entry_infos');"/> <?php echo esc_html__('Client Name', 'indeed-my-testimonials-vc');?>
				                      </div>
				                      <div>
				                          <?php
				                          		$selected = '';
				                          		if(in_array('quote', $infos)) $selected = 'checked="checked"';
				                          ?>
				                          <input type="checkbox" <?php echo $selected;?> onClick="make_inputh_string(this, 'quote', '#imtst_custom_page_entry_infos');"/> <?php echo esc_html__('Quote', 'indeed-my-testimonials-vc');?>
				                      </div>
				                      <div>
				                          <?php
				                          		$selected = '';
				                          		if(in_array('image', $infos)) $selected = 'checked="checked"';
				                          ?>
				                          <input type="checkbox" <?php echo $selected;?> id="show_image" onClick="make_inputh_string(this, 'image', '#imtst_custom_page_entry_infos');" /> <?php echo esc_html__('Client Image', 'indeed-my-testimonials-vc');?>
				                      </div>
				                      <div class="space_b_divs"></div>
				                      <div>
				                          <?php
				                          		$selected = '';
				                          		if(in_array('job', $infos)) $selected = 'checked="checked"';
				                          ?>
				                          <input type="checkbox" <?php echo $selected;?> id="show_job" onClick="make_inputh_string(this, 'job', '#imtst_custom_page_entry_infos');"/> <?php echo esc_html__('Client Job', 'indeed-my-testimonials-vc');?>
				                      </div>
				                      <div>
				                          <?php
				                          		$selected = '';
				                          		if(in_array('client_url', $infos)) $selected = 'checked="checked"';
				                          ?>
				                          <input type="checkbox" <?php echo $selected;?> id="show_client_url" onClick="make_inputh_string(this, 'client_url', '#imtst_custom_page_entry_infos');"/> <?php echo esc_html__('Client URL', 'indeed-my-testimonials-vc');?>
				                      </div>
				                      <div class="space_b_divs"></div>
				                      <div>
				                          <?php
				                          		$selected = '';
				                          		if(in_array('company', $infos)) $selected = 'checked="checked"';
				                          ?>
				                          <input type="checkbox" <?php echo $selected;?> id="show_company" onClick="make_inputh_string(this, 'company', '#imtst_custom_page_entry_infos');" /> <?php echo esc_html__('Company', 'indeed-my-testimonials-vc');?>
				                      </div>
				                      <div>
				                          <?php
				                          		$selected = '';
				                          		if(in_array('company_url', $infos)) $selected = 'checked="checked"';
				                          ?>
				                          <input type="checkbox" <?php echo $selected;?> id="show_company_url" onClick="make_inputh_string(this, 'company_url', '#imtst_custom_page_entry_infos');"/> <?php echo esc_html__('Company URL', 'indeed-my-testimonials-vc');?>
				                      </div>
				                      <div class="space_b_divs"></div>
				                      <div>
				                          <?php
				                          		$selected = '';
				                          		if(in_array('stars', $infos)) $selected = 'checked="checked"';
				                          ?>
				                          <input type="checkbox" <?php echo $selected;?> id="show_stars" onClick="make_inputh_string(this, 'stars', '#imtst_custom_page_entry_infos');"/> <?php echo esc_html__('Stars', 'indeed-my-testimonials-vc');?>
				                      </div>
                                      <div class="space_b_divs"></div>
				                      <div>
				                          <?php
				                          		$selected = '';
				                          		if(in_array('social_icon', $infos)) $selected = 'checked="checked"';
				                          ?>
				                          <input type="checkbox" <?php echo $selected;?>  onClick="make_inputh_string(this, 'social_icon', '#imtst_custom_page_entry_infos');"/> <?php echo esc_html__('Social Icons', 'indeed-my-testimonials-vc');?>
				                      </div>
				                      <div class="space_b_divs"></div>
				                      <div>
				                          <?php
				                          		$selected = '';
				                          		if(in_array('date', $infos)) $selected = 'checked="checked"';
				                          ?>
				                          <input type="checkbox" <?php echo $selected;?> id="show_date" onClick="make_inputh_string(this, 'date', '#imtst_custom_page_entry_infos');"/> <?php echo esc_html__('Date', 'indeed-my-testimonials-vc');?>
				                      </div>
				                      <input type="hidden" value="<?php echo $metas['imtst_custom_page_entry_infos'];?>" id="imtst_custom_page_entry_infos" name="imtst_custom_page_entry_infos" />
									</td>
                                </tr>
                            </tbody>
                        </table>
                        <div class="submit">
                            <input type="submit" value="<?php echo esc_html__('Save changes', 'indeed-my-testimonials-vc');?>" name="imtst_submit" class="button button-primary button-large" />
                        </div>
                    </div>
		</div>

		<div class="stuffbox">
               <h3>
               		<label><?php echo esc_html__('Custom CSS', 'indeed-my-testimonials-vc');?></label>
               </h3>
               <div class="inside">
			   		<div><b><?php echo esc_html__('Add   !important;  after each style option and full style path to be sure that it will take effect!', 'indeed-my-testimonials-vc');?></b></div>
                        <table class="form-table indeed_admin_table">
                        	<tr>
                        		<td>
                        			<textarea name="imtst_custom_css" class="imtst_custom_css"><?php echo stripslashes($metas['imtst_custom_css']);?></textarea>
                        		</td>
                        	</tr>
                        </table>
                    <div class="submit">
                    	<input type="submit" value="<?php echo esc_html__('Save changes', 'indeed-my-testimonials-vc');?>" name="imtst_submit" class="button button-primary button-large" />
                    </div>
               </div>
        </div>
		<div class="stuffbox">
        	<h3>
            	<label><?php echo esc_html__('External Links', 'imt');?></label>
            </h3>
            <div class="inside">
            	<div>
                    <input type="checkbox" onClick="check_and_h(this, '#imtst_target_blank');" <?php if ($metas['imtst_target_blank']) echo 'checked';?>/>
                    <input type="hidden" value="<?php echo $metas['imtst_target_blank'];?>" name="imtst_target_blank" id="imtst_target_blank" />
            		<?php echo esc_html__("Open 'Inside Page' & 'Custom Link' in new Window", 'indeed-my-testimonials-vc');?>
            	</div>
                <div class="submit">
                	<input type="submit" value="<?php echo esc_html__('Save changes', 'indeed-my-testimonials-vc');?>" name="imtst_submit" class="button button-primary button-large" />
                </div>
            </div>
        </div>
		<div class="stuffbox">
               <h3>
               		<label><?php echo esc_html__('Rich Snippets', 'indeed-my-testimonials-vc');?></label>
               </h3>
               <div class="inside">
				     <div>
				     	<?php
				        	$selected = '';
				        	if(isset($metas['imtst_rich_snippets']) && $metas['imtst_rich_snippets']==1) $selected = 'checked="checked"';
				        ?>
				        <input type="checkbox" <?php echo $selected;?> onClick="check_and_h(this, '#imtst_rich_snippets');"/> <?php echo esc_html__('Show Rich Snippets Reviews on Google results', 'indeed-my-testimonials-vc');?>
				    </div>
				    <input type="hidden" value="<?php echo $metas['imtst_rich_snippets'];?>" id="imtst_rich_snippets" name="imtst_rich_snippets" />
               		<div class="submit">
                    	<input type="submit" value="<?php echo esc_html__('Save changes', 'indeed-my-testimonials-vc');?>" name="imtst_submit" class="button button-primary button-large" />
                    </div>
               </div>
       </div>
       <div class="stuffbox">
               <h3>
               		<label><?php echo esc_html__('Default Client Image', 'indeed-my-testimonials-vc');?></label>
               </h3>
               <div class="inside">
               		<?php
               			//preview default client image
               			if (isset($metas['default_client_img']) && $metas['default_client_img']){
               				?>
               					<div>
               						<img src="<?php echo $metas['default_client_img'];?>" class="imtst-default-client-img-admin" id="imtst-default-client-img-admin" />
               					</div>
               				<?php
               			}
               		?>
               		<input type="text" onClick="open_media_up(this, '#imtst-default-client-img-admin');" name="default_client_img" value="<?php echo $metas['default_client_img'];?>" class="imtst-default-client-img-admin-width"/>
               		<div class="submit">
                    	<input type="submit" value="<?php echo esc_html__('Save changes', 'indeed-my-testimonials-vc');?>" name="imtst_submit" class="button button-primary button-large" />
                    </div>
               </div>
       </div>
	</form>
		<div class="stuffbox">
                    <h3>
                        <label><?php echo esc_html__('Post Type', 'indeed-my-testimonials-vc');?></label>
                    </h3>
                    <div class="inside">
                        <table class="form-table indeed_admin_table">
        	                <tbody>
                                <tr>
									<td>
										<?php echo esc_html__('Name', 'indeed-my-testimonials-vc');?>:
									</td>
                                    <td>
										<input type="text" value="<?php echo IMTST_POST_TYPE_VC;?>" id="imtst_post_type_name" class="imtst_post_type_name"/>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <div><b><?php echo esc_html__('If You change the Post Type, the current Testimonials will not be available anymore!', 'indeed-my-testimonials-vc');?></b></div>
                        <div class="submit">
                            <input type="button" onClick="imtst_change_post_type_name_vc('<?php echo get_site_url();?>');" value="<?php echo esc_html__('Save changes', 'indeed-my-testimonials-vc');?>" name="imtst_submit" class="button button-primary button-large" />
                        </div>
                    </div>
		</div>
</div>
