/*!
 *WP Open Media 3.5
 */
"use strict";
function open_media_up(target, target_src){
	//If the uploader object has already been created, reopen the dialog
    var custom_uploader;
    if (custom_uploader) {
    	custom_uploader.open();
        return;
    }
        //Extend the wp.media object
        custom_uploader = wp.media.frames.file_frame = wp.media({
            title: 'Choose Image',
            button: {
                text: 'Choose Image'
            },
            multiple: false
        });
        //When a file is selected, grab the URL and set it as the text field's value
        custom_uploader.on('select', function() {
            var attachment = custom_uploader.state().get('selection').first().toJSON();
            jQuery(target).val(attachment.url);
            jQuery(target_src).attr('src', attachment.url);
            console.log(target_src);
        });
        //Open the uploader dialog
        custom_uploader.open();
}