<?php 
/**
 * Template Name: Indeed My Testimonials
 */
get_header(); 
$str = imtst_return_infos_str_for_template();//str is an array with all info, check functions.php
?>
<div id="main-content" class="main-content">
	<div id="primary" class="content-area">
		<div id="content" class="site-content" role="main">		
			<div class="imtst_inside_page ictst_wrapp">
				<div class="imtst_item_img">
				<img src="<?php echo (isset($str['image'][0]) && is_array($str['image'])) ? $str['image'][0] : '';?>"/>
				</div>			
				<div class="imtst_item_details">
					<div class="imtst_name"><?php echo $str['name'];?></div>
					<div class="imtst_job"><a href="<?php echo $str['client_url'];?>"><?php echo $str['job'];?></a></div>
					<div class="imtst_company"><a href="<?php echo $str['company_url'];?>"><?php echo $str['company'];?></a></div>
					<div class="imtst_date"><?php echo $str['date'];?></div>
					<div class="imtst_stars"><?php echo imtst_return_stars_vc($str['rating']);?></div>
                    <div class="member-social">
                    <span class="imtst-social">
					<?php if($str['social_icon']['fb'] !='') echo '<a href="'.$str['social_icon']['fb'].'" class="facebook"><i class="icontst-facebook"></i></a>';?>
					<?php if($str['social_icon']['tw'] !='') echo '<a href="'.$str['social_icon']['tw'].'" class="twitter"><i class="icontst-twitter-2"></i></a>';?>
					<?php if($str['social_icon']['ld'] !='') echo '<a href="'.$str['social_icon']['ld'].'" class="linkedin"><i class="icontst-linkedin"></i></a>';?>
					<?php if($str['social_icon']['gp'] !='') echo '<a href="'.$str['social_icon']['gp'].'" class="gplus"><i class="icontst-gplus"></i></a>';?>
					<?php if($str['social_icon']['ins'] !='') echo '<a href="'.$str['social_icon']['ins'].'" class="instagramm"><i class="icontst-instagramm"></i></a>';?>
						</span>
                    </div>	
				</div>
				<div class="imtst_clear"></div>
				<div class="imtst_quote"><?php echo $str['quote'];?></div>
				<?php 
					#RICH SNIPPETS
					$data = imtst_general_settings_meta_vc();
					if(isset($data['imtst_rich_snippets']) && $data['imtst_rich_snippets']==1){
						global $post;
						$rich_arr = array(
								'title' => $str['name'],
								'post_author' => get_the_author_meta( 'user_nicename', $post->post_author ),
								'publish_date' => $str['date'],
								'rating' => $str['rating'],
								'description' => $str['quote'],
						);
						echo imtst_return_google_rich_snippets_vc($rich_arr,'single');						
					}
				?>				
				<div class="imtst_clear"></div>
			</div>
		</div><!-- #content -->
	</div><!-- #primary -->
	<?php get_sidebar( 'content' ); ?>
</div><!-- #main-content -->

<?php
get_sidebar();
get_footer();